Recent posts by Zinake on Kongregate

Flag Post

Topic: War of Omens / war of omens requires the latest version of flash player

I have the same problem in FF…. I don’t bother with the other 3.